diff --git a/fc-solve/source/state.h b/fc-solve/source/state.h
index ec6f29b7a..bc5fcec50 100644
--- a/fc-solve/source/state.h
+++ b/fc-solve/source/state.h
@@ -680,253 +682,257 @@ static inline fcs_bool_t fc_solve_initial_user_state_to_c_proto(
         }                                                                      \
     }
 
-    for (size_t s = 0; s < STACKS_NUM__VAL; s++)
-    {
-        /* Move to the next stack */
-        if (!first_line)
+        for (size_t s = 0; s < STACKS_NUM__VAL; s++)
         {
-            while ((*str) != '\n')
+            /* Move to the next stack */
+            if (!first_line)
             {
-                HANDLE_EOS();
+                while ((*str) != '\n')
+                {
+                    HANDLE_EOS();
+                    ++str;
+                }
                 ++str;
             }
-            ++str;
-        }
 
-        first_line = FALSE;
+            first_line = FALSE;
 
-        const_AUTO(new_str, FCS_PARSE_try_prefix(str,
-                                "Freecells:", fc_solve_freecells_prefixes));
-        if (new_str)
-        {
-            str = new_str;
-            for (size_t c = 0; c < FREECELLS_NUM__VAL; ++c)
-            {
-                fcs_empty_freecell(out, c);
-            }
-            for (size_t c = 0; c < FREECELLS_NUM__VAL; ++c)
+            const_AUTO(new_str, FCS_PARSE_try_prefix(str,
+                                    "Freecells:", fc_solve_freecells_prefixes));
+            if (new_str)
             {
-                if (c != 0)
+                str = new_str;
+                for (size_t c = 0; c < FREECELLS_NUM__VAL; ++c)
                 {
-                    while (((*str) != ' ') && ((*str) != '\t') &&
-                           ((*str) != '\n') && ((*str) != '\r'))
+                    fcs_empty_freecell(out, c);
+                }
+                for (size_t c = 0; c < FREECELLS_NUM__VAL; ++c)
+                {
+                    if (c != 0)
                     {
-                        HANDLE_EOS();
+                        while (((*str) != ' ') && ((*str) != '\t') &&
+                               ((*str) != '\n') && ((*str) != '\r'))
+                        {
+                            HANDLE_EOS();
+                            ++str;
+                        }
+                        if ((*str == '\n') || (*str == '\r'))
+                        {
+                            break;
+                        }
                         ++str;
                     }
-                    if ((*str == '\n') || (*str == '\r'))
+
+                    while ((*str == ' ') || (*str == '\t'))
                     {
-                        break;
+                        ++str;
                     }
-                    ++str;
+                    if ((*str == '\r') || (*str == '\n'))
+                        break;
+
+                    fcs_put_card_in_freecell(out, c,
+                        ((*str == '*') || (*str == '-'))
+                            ? fc_solve_empty_card
+                            : ({
+                                  const char rank = fcs_str2rank(str);
+                                  if (!rank)
+                                  {
+                                      return FALSE;
+                                  }
+                                  fcs_make_card(rank, fcs_str2suit(str));
+                              }));
                 }
 
-                while ((*str == ' ') || (*str == '\t'))
+                while (*str != '\n')
                 {
+                    HANDLE_EOS();
                     ++str;
                 }
-                if ((*str == '\r') || (*str == '\n'))
-                    break;
-
-                fcs_put_card_in_freecell(out, c,
-                    ((*str == '*') || (*str == '-')) ? fc_solve_empty_card : ({
-                        const char rank = fcs_str2rank(str);
-                        if (!rank)
-                        {
-                            return FALSE;
-                        }
-                        fcs_make_card(rank, fcs_str2suit(str));
-                    }));
-            }
-
-            while (*str != '\n')
-            {
-                HANDLE_EOS();
-                ++str;
+                --s;
+                continue;
             }
-            --s;
-            continue;
-        }
 
-        const_AUTO(new_str2, FCS_PARSE_try_prefix(str, "Foundations:",
-                                 fc_solve_foundations_prefixes));
-        if (new_str2)
-        {
-            str = new_str2;
-            for (size_t f_idx = 0; f_idx < (DECKS_NUM__VAL << 2); f_idx++)
+            const_AUTO(new_str2, FCS_PARSE_try_prefix(str, "Foundations:",
+                                     fc_solve_foundations_prefixes));
+            if (new_str2)
             {
-                fcs_set_foundation(out, f_idx, 0);
-            }
-
-            size_t decks_index[4] = {0, 0, 0, 0};
-            while (1)
-            {
-                while ((*str == ' ') || (*str == '\t'))
-                    ++str;
-                if ((*str == '\n') || (*str == '\r'))
-                    break;
-                const int f_idx = fcs_str2suit(str);
-                ++str;
-                while (*str == '-')
-                    ++str;
-                /* Workaround for fcs_str2rank's willingness
-                 * to designate the string '0' as 10. */
-                const int c = ((str[0] == '0') ? 0 : fcs_str2rank(str));
-                while ((*str != ' ') && (*str != '\t') && (*str != '\n') &&
-                       (*str != '\r'))
+                str = new_str2;
+                for (size_t f_idx = 0; f_idx < (DECKS_NUM__VAL << 2); f_idx++)
                 {
-                    HANDLE_EOS();
-                    ++str;
+                    fcs_set_foundation(out, f_idx, 0);
                 }
 
-                fcs_set_foundation(out, ((decks_index[f_idx] << 2) + f_idx), c);
-                if ((++decks_index[f_idx]) >= DECKS_NUM__VAL)
+                size_t decks_index[4] = {0, 0, 0, 0};
+                while (1)
                 {
-                    decks_index[f_idx] = 0;
+                    while ((*str == ' ') || (*str == '\t'))
+                        ++str;
+                    if ((*str == '\n') || (*str == '\r'))
+                        break;
+                    const int f_idx = fcs_str2suit(str);
+                    ++str;
+                    while (*str == '-')
+                        ++str;
+                    /* Workaround for fcs_str2rank's willingness
+                     * to designate the string '0' as 10. */
+                    const int c = ((str[0] == '0') ? 0 : fcs_str2rank(str));
+                    while ((*str != ' ') && (*str != '\t') && (*str != '\n') &&
+                           (*str != '\r'))
+                    {
+                        HANDLE_EOS();
+                        ++str;
+                    }
+
+                    fcs_set_foundation(
+                        out, ((decks_index[f_idx] << 2) + f_idx), c);
+                    if ((++decks_index[f_idx]) >= DECKS_NUM__VAL)
+                    {
+                        decks_index[f_idx] = 0;
+                    }
                 }
+                s--;
+                continue;
             }
-            s--;
-            continue;
-        }
 
-        /* Handle columns that start with an initial colon, so we can
-         * input states from -p -t mid-play. */
-        if ((*str) == ':')
-        {
-            ++str;
-        }
+            /* Handle columns that start with an initial colon, so we can
+             * input states from -p -t mid-play. */
+            if ((*str) == ':')
+            {
+                ++str;
+            }
 
-        var_AUTO(col, fcs_state_get_col(out, s));
-        for (int c = 0; c < MAX_NUM_CARDS_IN_A_STACK; c++)
-        {
-            /* Move to the next card */
-            if (c != 0)
+            var_AUTO(col, fcs_state_get_col(out, s));
+            for (int c = 0; c < MAX_NUM_CARDS_IN_A_STACK; c++)
             {
-                while (((*str) != ' ') && ((*str) != '\t') &&
-                       ((*str) != '\n') && ((*str) != '\r'))
+                /* Move to the next card */
+                if (c != 0)
+                {
+                    while (((*str) != ' ') && ((*str) != '\t') &&
+                           ((*str) != '\n') && ((*str) != '\r'))
+                    {
+                        HANDLE_EOS();
+                        ++str;
+                    }
+                    if ((*str == '\n') || (*str == '\r'))
+                    {
+                        break;
+                    }
+                }
+
+                while ((*str == ' ') || (*str == '\t'))
                 {
-                    HANDLE_EOS();
                     ++str;
                 }
+                HANDLE_EOS();
                 if ((*str == '\n') || (*str == '\r'))
                 {
                     break;
                 }
+                const_AUTO(my_card, fc_solve_card_parse_str(str));
+                if (!fcs_card_rank(my_card))
+                {
+                    return FALSE;
+                }
+                fcs_col_push_card(col, my_card);
             }
-
-            while ((*str == ' ') || (*str == '\t'))
-            {
-                ++str;
-            }
-            HANDLE_EOS();
-            if ((*str == '\n') || (*str == '\r'))
-            {
-                break;
-            }
-            const_AUTO(my_card, fc_solve_card_parse_str(str));
-            if (!fcs_card_rank(my_card))
-            {
-                return FALSE;
-            }
-            fcs_col_push_card(col, my_card);
         }
-    }
 
-    return TRUE;
-}
+        return TRUE;
+    }
 
 #undef out
 #undef HANDLE_EOS
 
-extern void fc_solve_state_as_string(char *output_s,
-    const fcs_state_t *const state,
-    const fcs_state_locs_struct_t *const state_locs
-        FREECELLS_STACKS_DECKS__ARGS()
-            FC_SOLVE__PASS_PARSABLE(const fcs_bool_t parseable_output),
-    const fcs_bool_t canonized_order_output PASS_T(
-        const fcs_bool_t display_10_as_t));
-
-typedef enum {
-    FCS_STATE_VALIDITY__OK = 0,
-    FCS_STATE_VALIDITY__MISSING_CARD = 1,
-    FCS_STATE_VALIDITY__EXTRA_CARD = 2,
-    FCS_STATE_VALIDITY__EMPTY_SLOT = 3,
-    FCS_STATE_VALIDITY__PREMATURE_END_OF_INPUT = 4
-} fcs_state_validity_ret_t;
+    extern void fc_solve_state_as_string(char *output_s,
+        const fcs_state_t *const state,
+        const fcs_state_locs_struct_t *const state_locs
+            FREECELLS_STACKS_DECKS__ARGS()
+                FC_SOLVE__PASS_PARSABLE(const fcs_bool_t parseable_output),
+        const fcs_bool_t canonized_order_output PASS_T(
+            const fcs_bool_t display_10_as_t));
+
+    typedef enum
+    {
+        FCS_STATE_VALIDITY__OK = 0,
+        FCS_STATE_VALIDITY__MISSING_CARD = 1,
+        FCS_STATE_VALIDITY__EXTRA_CARD = 2,
+        FCS_STATE_VALIDITY__EMPTY_SLOT = 3,
+        FCS_STATE_VALIDITY__PREMATURE_END_OF_INPUT = 4
+    } fcs_state_validity_ret_t;
 
 #ifndef FCS_DISABLE_STATE_VALIDITY_CHECK
-static inline fcs_state_validity_ret_t fc_solve_check_state_validity(
-    const fcs_state_keyval_pair_t *const state_pair
-        FREECELLS_STACKS_DECKS__ARGS(),
-    fcs_card_t *const misplaced_card)
-{
-    size_t card_counts[FCS_NUM_SUITS][FCS_MAX_RANK + 1];
+    static inline fcs_state_validity_ret_t fc_solve_check_state_validity(
+        const fcs_state_keyval_pair_t *const state_pair
+            FREECELLS_STACKS_DECKS__ARGS(),
+        fcs_card_t *const misplaced_card)
+    {
+        size_t card_counts[FCS_NUM_SUITS][FCS_MAX_RANK + 1];
 
-    const fcs_state_t *const state = &(state_pair->s);
+        const fcs_state_t *const state = &(state_pair->s);
 
-    /* Initialize all card_counts to 0 */
-    for (int suit_idx = 0; suit_idx < FCS_NUM_SUITS; suit_idx++)
-    {
-        for (int c = 1; c <= FCS_MAX_RANK; c++)
+        /* Initialize all card_counts to 0 */
+        for (int suit_idx = 0; suit_idx < FCS_NUM_SUITS; suit_idx++)
         {
-            card_counts[suit_idx][c] = 0;
+            for (int c = 1; c <= FCS_MAX_RANK; c++)
+            {
+                card_counts[suit_idx][c] = 0;
+            }
         }
-    }
 
-    /* Mark the card_counts in the decks */
-    for (size_t suit_idx = 0; suit_idx < (DECKS_NUM__VAL << 2); suit_idx++)
-    {
-        for (int c = 1; c <= fcs_foundation_value(*state, suit_idx); c++)
+        /* Mark the card_counts in the decks */
+        for (size_t suit_idx = 0; suit_idx < (DECKS_NUM__VAL << 2); suit_idx++)
         {
-            card_counts[suit_idx % FCS_NUM_SUITS][c]++;
+            for (int c = 1; c <= fcs_foundation_value(*state, suit_idx); c++)
+            {
+                card_counts[suit_idx % FCS_NUM_SUITS][c]++;
+            }
         }
-    }
 
-    /* Mark the card_counts in the freecells */
-    for (size_t f = 0; f < FREECELLS_NUM__VAL; f++)
-    {
-        const fcs_card_t card = fcs_freecell_card(*state, f);
-        if (fcs_card_is_valid(card))
+        /* Mark the card_counts in the freecells */
+        for (size_t f = 0; f < FREECELLS_NUM__VAL; f++)
         {
-            card_counts[fcs_card_suit(card)][fcs_card_rank(card)]++;
+            const fcs_card_t card = fcs_freecell_card(*state, f);
+            if (fcs_card_is_valid(card))
+            {
+                card_counts[fcs_card_suit(card)][fcs_card_rank(card)]++;
+            }
         }
-    }
 
-    /* Mark the card_counts in the columns */
-    for (size_t s = 0; s < STACKS_NUM__VAL; s++)
-    {
-        const_AUTO(col, fcs_state_get_col(*state, s));
-        const int col_len = fcs_col_len(col);
-        for (int c = 0; c < col_len; c++)
+        /* Mark the card_counts in the columns */
+        for (size_t s = 0; s < STACKS_NUM__VAL; s++)
         {
-            const fcs_card_t card = fcs_col_get_card(col, c);
-            if (fcs_card_is_empty(card))
+            const_AUTO(col, fcs_state_get_col(*state, s));
+            const int col_len = fcs_col_len(col);
+            for (int c = 0; c < col_len; c++)
             {
-                *misplaced_card = fc_solve_empty_card;
-                return FCS_STATE_VALIDITY__EMPTY_SLOT;
+                const fcs_card_t card = fcs_col_get_card(col, c);
+                if (fcs_card_is_empty(card))
+                {
+                    *misplaced_card = fc_solve_empty_card;
+                    return FCS_STATE_VALIDITY__EMPTY_SLOT;
+                }
+                card_counts[fcs_card_suit(card)][fcs_card_rank(card)]++;
             }
-            card_counts[fcs_card_suit(card)][fcs_card_rank(card)]++;
         }
-    }
 
-    /* Now check if there are extra or missing card_counts */
+        /* Now check if there are extra or missing card_counts */
 
-    for (size_t suit_idx = 0; suit_idx < FCS_NUM_SUITS; suit_idx++)
-    {
-        for (size_t rank = 1; rank <= FCS_MAX_RANK; rank++)
+        for (size_t suit_idx = 0; suit_idx < FCS_NUM_SUITS; suit_idx++)
         {
-            if (card_counts[suit_idx][rank] != DECKS_NUM__VAL)
+            for (size_t rank = 1; rank <= FCS_MAX_RANK; rank++)
             {
-                *misplaced_card = fcs_make_card(rank, suit_idx);
-                return ((card_counts[suit_idx][rank] < DECKS_NUM__VAL)
-                            ? FCS_STATE_VALIDITY__MISSING_CARD
-                            : FCS_STATE_VALIDITY__EXTRA_CARD);
+                if (card_counts[suit_idx][rank] != DECKS_NUM__VAL)
+                {
+                    *misplaced_card = fcs_make_card(rank, suit_idx);
+                    return ((card_counts[suit_idx][rank] < DECKS_NUM__VAL)
+                                ? FCS_STATE_VALIDITY__MISSING_CARD
+                                : FCS_STATE_VALIDITY__EXTRA_CARD);
+                }
             }
         }
-    }
 
-    return FCS_STATE_VALIDITY__OK;
-}
+        return FCS_STATE_VALIDITY__OK;
+    }
 #endif
 
 #undef state
@@ -997,13 +1003,13 @@ static inline void set_scan_visited(
         (1 << ((scan_id) & ((1 << (FCS_CHAR_BIT_SIZE_LOG2)) - 1)));
 }
 
-    /*
-     * This macro determines if child can be placed above parent.
-     *
-     * The variable sequences_are_built_by has to be initialized to
-     * the sequences_are_built_by member of the instance.
-     *
-     * */
+/*
+ * This macro determines if child can be placed above parent.
+ *
+ * The variable sequences_are_built_by has to be initialized to
+ * the sequences_are_built_by member of the instance.
+ *
+ * */
 
 #ifdef FCS_FREECELL_ONLY
 
diff --git a/fc-solve/source/str_utils.h b/fc-solve/source/str_utils.h
index e3c69e1f3..993d08cbb 100644
--- a/fc-solve/source/str_utils.h
+++ b/fc-solve/source/str_utils.h
@@ -11,28 +11,29 @@
 #pragma once
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
 #include "bool.h"
 #include <string.h>
 
-static inline fcs_bool_t string_starts_with(
-    const char *const str, const char *const prefix, const char *const end)
-{
-    register const size_t check_len = (size_t)(end - str);
+    static inline fcs_bool_t string_starts_with(
+        const char *const str, const char *const prefix, const char *const end)
+    {
+        register const size_t check_len = (size_t)(end - str);
 
-    return (
-        (check_len == strlen(prefix)) && (!strncmp(str, prefix, check_len)));
-}
+        return ((check_len == strlen(prefix)) &&
+                (!strncmp(str, prefix, check_len)));
+    }
 
-static inline const char *try_str_prefix(
-    const char *const str, const char *const prefix)
-{
-    register const size_t len = strlen(prefix);
+    static inline const char *try_str_prefix(
+        const char *const str, const char *const prefix)
+    {
+        register const size_t len = strlen(prefix);
 
-    return (strncmp(str, prefix, len) ? NULL : str + len);
-}
+        return (strncmp(str, prefix, len) ? NULL : str + len);
+    }
 
 #ifdef __cplusplus
 };
diff --git a/fc-solve/source/trace_mem.h b/fc-solve/source/trace_mem.h
index 00ad07cfd..d0a273028 100644
--- a/fc-solve/source/trace_mem.h
+++ b/fc-solve/source/trace_mem.h
@@ -11,82 +11,83 @@
 #pragma once
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
 #include "rinutils.h"
 
 #ifdef FCS_TRACE_MEM
-static int rss_found = 0;
-static long long max_rss_delta_deal = -1, prev_rss = -1, max_rss_delta = -1;
+    static int rss_found = 0;
+    static long long max_rss_delta_deal = -1, prev_rss = -1, max_rss_delta = -1;
 
-static inline void trace_mem(const long long board_num)
-{
-    long long int rss;
-    unsigned long long unused_unsigned;
-    char stat_fn[1024], unused_str[1024];
+    static inline void trace_mem(const long long board_num)
+    {
+        long long int rss;
+        unsigned long long unused_unsigned;
+        char stat_fn[1024], unused_str[1024];
 
-    snprintf(stat_fn, sizeof(stat_fn), "/proc/%ld/stat", (long)(getpid()));
+        snprintf(stat_fn, sizeof(stat_fn), "/proc/%ld/stat", (long)(getpid()));
 
-    // This was taken from: http://www.brokestream.com/procstat.html
-    FILE *const stat = fopen(stat_fn, "r");
+        // This was taken from: http://www.brokestream.com/procstat.html
+        FILE *const stat = fopen(stat_fn, "r");
 #define readone(unused) (fscanf(stat, "%lld ", &rss))
 #define readstr(unused) (fscanf(stat, "%1000s ", unused_str))
 #define readchar(unused) (fscanf(stat, "%c ", unused_str))
 #define readunsigned(unused) (fscanf(stat, "%llu ", &unused_unsigned))
-    readone(&pid);
-    readstr(tcomm);
-    readchar(&state);
-    readone(&ppid);
-    readone(&pgid);
-    readone(&sid);
-    readone(&tty_nr);
-    readone(&tty_pgrp);
-    readone(&flags);
-    readone(&min_flt);
-    readone(&cmin_flt);
-    readone(&maj_flt);
-    readone(&cmaj_flt);
-    readone(&utime);
-    readone(&stimev);
-    readone(&cutime);
-    readone(&cstime);
-    readone(&priority);
-    readone(&nicev);
-    readone(&num_threads);
-    readone(&it_real_value);
-    readunsigned(&start_time);
-    readone(&vsize);
-    readone(&rss);
+        readone(&pid);
+        readstr(tcomm);
+        readchar(&state);
+        readone(&ppid);
+        readone(&pgid);
+        readone(&sid);
+        readone(&tty_nr);
+        readone(&tty_pgrp);
+        readone(&flags);
+        readone(&min_flt);
+        readone(&cmin_flt);
+        readone(&maj_flt);
+        readone(&cmaj_flt);
+        readone(&utime);
+        readone(&stimev);
+        readone(&cutime);
+        readone(&cstime);
+        readone(&priority);
+        readone(&nicev);
+        readone(&num_threads);
+        readone(&it_real_value);
+        readunsigned(&start_time);
+        readone(&vsize);
+        readone(&rss);
 #undef readone
 #undef readunsigned
 #undef readchar
 #undef readstr
 
-    fclose(stat);
+        fclose(stat);
 
-    const long long rss_delta = rss - prev_rss;
-    if (rss_found == 1)
-    {
-        max_rss_delta = rss_delta;
-        max_rss_delta_deal = board_num;
-    }
-    else if (rss_found == 2)
-    {
-        if (rss_delta > max_rss_delta)
+        const long long rss_delta = rss - prev_rss;
+        if (rss_found == 1)
         {
             max_rss_delta = rss_delta;
             max_rss_delta_deal = board_num;
         }
-        printf("Max RSS delta %lld encountered at deal %lld\n", max_rss_delta,
-            max_rss_delta_deal);
-    }
-    prev_rss = rss;
-    if (rss_found < 2)
-    {
-        rss_found++;
+        else if (rss_found == 2)
+        {
+            if (rss_delta > max_rss_delta)
+            {
+                max_rss_delta = rss_delta;
+                max_rss_delta_deal = board_num;
+            }
+            printf("Max RSS delta %lld encountered at deal %lld\n",
+                max_rss_delta, max_rss_delta_deal);
+        }
+        prev_rss = rss;
+        if (rss_found < 2)
+        {
+            rss_found++;
+        }
     }
-}
 #else
 
 static inline void trace_mem(const long long board_num GCC_UNUSED) {}
